| OpenCV 3.4.8 Open Source Computer Vision

Classes | Public Member Functions | Static Public Member Functions | List of all members
cv::TrackerGOTURN Class Reference
Tracking API

the GOTURN (Generic Object Tracking Using Regression Networks) tracker More...

`#include <opencv2/tracking/tracker.hpp>`

Inheritance diagram for cv::TrackerGOTURN:

## Classes
struct | Params

## Public Member Functions
virtual | ~TrackerGOTURN () CV_OVERRIDE
Public Member Functions inherited from cv::Tracker
virtual | ~Tracker () CV_OVERRIDE
bool | init (InputArray image, const Rect2d &boundingBox)
| Initialize the tracker with a known bounding box that surrounded the target. More...
virtual void | read (const FileNode &fn) CV_OVERRIDE=0
| Reads algorithm parameters from a file storage. More...
bool | update (InputArray image, Rect2d &boundingBox)
| Update the tracker, find the new most likely bounding box for the target. More...
virtual void | write (FileStorage &fs) const CV_OVERRIDE=0
| Stores algorithm parameters in a file storage. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | save (const String &filename) const
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< TrackerGOTURN > | create (const TrackerGOTURN::Params &parameters)
| Constructor. More...
static Ptr< TrackerGOTURN > | create ()
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Additional Inherited Members
Protected Member Functions inherited from cv::Tracker
virtual bool | initImpl (const Mat &image, const Rect2d &boundingBox)=0
virtual bool | updateImpl (const Mat &image, Rect2d &boundingBox)=0
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const
Protected Attributes inherited from cv::Tracker
Ptr< TrackerFeatureSet > | featureSet
bool | isInit
Ptr< TrackerModel > | model
Ptr< TrackerSampler > | sampler

## Detailed Description

the GOTURN (Generic Object Tracking Using Regression Networks) tracker

GOTURN ([88]) is kind of trackers based on Convolutional Neural Networks (CNN). While taking all advantages of CNN trackers, GOTURN is much faster due to offline training without online fine-tuning nature. GOTURN tracker addresses the problem of single target tracking: given a bounding box label of an object in the first frame of the video, we track that object through the rest of the video. NOTE: Current method of GOTURN does not handle occlusions; however, it is fairly robust to viewpoint changes, lighting changes, and deformations. Inputs of GOTURN are two RGB patches representing Target and Search patches resized to 227x227. Outputs of GOTURN are predicted bounding box coordinates, relative to Search patch coordinate system, in format X1,Y1,X2,Y2. Original paper is here: http://davheld.github.io/GOTURN/GOTURN.pdf As long as original authors implementation: https://github.com/davheld/GOTURN#train-the-tracker Implementation of training algorithm is placed in separately here due to 3d-party dependencies: https://github.com/Auron-X/GOTURN_Training_Toolkit GOTURN architecture goturn.prototxt and trained model goturn.caffemodel are accessible on opencv_extra GitHub repository.

## Constructor & Destructor Documentation

## § ~TrackerGOTURN()

virtual cv::TrackerGOTURN::~TrackerGOTURN | ( |  | ) |
| inline virtual

## Member Function Documentation

## § create() [1/2]

static Ptr<TrackerGOTURN> cv::TrackerGOTURN::create | ( | const TrackerGOTURN::Params & | parameters | ) |
| static

Python:
| retval | = | cv.TrackerGOTURN_create( |  | )

Constructor.

Parameters

  parameters | GOTURN parameters TrackerGOTURN::Params

## § create() [2/2]

static Ptr<TrackerGOTURN> cv::TrackerGOTURN::create | ( |  | ) |
| static

Python:
| retval | = | cv.TrackerGOTURN_create( |  | )

The documentation for this class was generated from the following file:

- opencv2/tracking/tracker.hpp